package com.example.mystictale.resources.components.dateComponents

import android.os.Build
import androidx.annotation.RequiresApi
import java.time.LocalDate
import java.time.format.DateTimeFormatter
import java.time.format.DateTimeParseException
import java.time.format.ResolverStyle
import java.util.Locale


@RequiresApi(Build.VERSION_CODES.O)
fun isDateValid(dateString: String): Boolean {
    if (dateString.length != 8) return false

    // Определяем формат даты ddMMyyyy
    val formatter = DateTimeFormatter.ofPattern("ddMMyyyy")

    return try {
        // Пробуем преобразовать строку в дату
        val parsedDate = LocalDate.parse(dateString, formatter)
        println(parsedDate)

        // Если успешно, возвращаем true
        true
    } catch (e: DateTimeParseException) {
        // Если возникает исключение, возвращаем false
        false
    }
}